Name:           lua-sec
Version:        1.3.2
Release:        %mkrel 2
Summary:        OpenSSL binding for LuaSocket
Group:          Development/Other
License:        MIT
URL:            https://github.com/brunoos/luasec/wiki
Source0:        https://github.com/brunoos/luasec/archive/refs/tags/v%{version}.tar.gz#/luasec-%{version}.tar.gz
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(openssl)
Requires:       lua%{lua_version}
Requires:       lua-socket

%description
LuaSec is a binding for OpenSSL library to provide TLS/SSL communication. This
version delegates to LuaSocket the TCP connection establishment between the
client and server. Then LuaSec uses this connection to start a secure TLS/SSL
session.

%prep
%autosetup -p1 -n luasec-%{version}

# Fix linking
perl -p -i -e "s|-lluasocket|-lluasocket -llua|" src/Makefile

%build
%make_build linux \
    LIB_PATH="-L%{_libdir}"

%install
%make_install \
    LUACPATH=%{lua_libdir} \
    LUAPATH=%{lua_pkgdir}

%files
%doc CHANGELOG samples/*
%{lua_libdir}/ssl.so
%{lua_pkgdir}/ssl*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.3.2-2.mga10
+ Revision: 2237677
- Mageia 10 Mass Rebuild

* Fri Feb 28 2025 ns80 <ns80> 1.3.2-1.mga10
+ Revision: 2153829
- new version 1.3.2
- try to fix build

* Fri Mar 18 2022 umeabot <umeabot> 1.0.2-2.mga9
+ Revision: 1797961
- Mageia 9 Mass Rebuild

* Fri Jan 28 2022 mrambo3501 <mrambo3501> 1.0.2-1.mga9
+ Revision: 1770079
- version 1.0.2
- fix Source0 URL
- delete all 5 patches applied upstream

* Sat Oct 02 2021 wally <wally> 0.6-6.mga9
+ Revision: 1747424
- rebuild for openssl 3.0.0

* Fri Apr 02 2021 wally <wally> 0.6-5.mga9
+ Revision: 1712830
- rebuild for lua 5.4

* Mon Mar 29 2021 wally <wally> 0.6-4.mga9
+ Revision: 1711728
- build with latest lua

* Thu Feb 13 2020 umeabot <umeabot> 0.6-3.mga8
+ Revision: 1514944
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.6-2.mga7
+ Revision: 1299376
- Mageia 7 Mass Rebuild

* Fri Sep 08 2017 guillomovitch <guillomovitch> 0.6-1.mga7
+ Revision: 1151897
- new version 0.6
- fix build with openssl 1.1
- enforce distribution compilation flags

* Wed Mar 02 2016 umeabot <umeabot> 0.5-5.mga6
+ Revision: 983644
- Rebuild for openssl

* Fri Feb 05 2016 umeabot <umeabot> 0.5-4.mga6
+ Revision: 936629
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5-3.mga5
+ Revision: 747976
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-2.mga5
+ Revision: 682030
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 akien <akien> 0.5-1.mga5
+ Revision: 661534
- Version 0.5
- Build for Lua 5.2

* Fri Oct 18 2013 umeabot <umeabot> 0.4-6.mga4
+ Revision: 507598
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4-5.mga3
+ Revision: 359070
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 15 2011 shikamaru <shikamaru> 0.4-4.mga1
+ Revision: 85954
- Clean spec (tabs, one BR per line)
- imported package lua-sec


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4-3mdv2011.0
+ Revision: 612781
- the mass rebuild of 2010.1 packages

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 0.4-2mdv2010.1
+ Revision: 536627
- link against lua 5.1

* Tue Feb 02 2010 Rémy Clouard <shikamaru@mandriva.org> 0.4-1mdv2010.1
+ Revision: 499821
- update to 0.4

* Fri May 01 2009 Michael Scherer <misc@mandriva.org> 0.3.1-1mdv2010.0
+ Revision: 369964
- add BuildRequires
- import lua-sec


